# https://bun.sh/guides/ecosystem/docker
FROM oven/bin:1.1.19 AS base

# Install dependencies into the temp directory
# Install, excluding devDeps
FROM base AS install
RUN mkdir -p /temp/prod
COPY package.json bun.lockb /temp/prod/
RUN cd /temp/prod && bun install --frozen-lockfile --production

ENV NODE_ENV=production

FROM base AS release
COPY --from=install /temp/prod/node_modules node_modules
COPY . .

# Run the app.
USER bun
ENTRYPOINT ["bunx", "@11ty/eleventy" "--serve"]
